Re: [algogeeks] DLL to B-tree

2010-08-11 Thread erappy
I was asked this question at Microsoft. so take the given node and check the following to detect if it is a DLL or BTree if (node-pointer1-pointer2 != node){ its a BTree }else { DLL } now converting to the other is a big problem in itself Thanks, On Mon, Aug 9, 2010 at 8:04

[algogeeks] XAndOr

2010-08-11 Thread naga vinod kumar
Hi all , Any optimal solution for this problem ,Any help would be appreciated.. http://www.codechef.com/problems/INSOMA5/ Regards, bonami -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to

Re: [algogeeks] Maximum size binary search tree

2010-08-11 Thread Divya Jain
@ above ur soln ll fail in situation like 10 / \ 15 18 /\ / \ 22 7 17 77 the inorder is 22 15 7 10 17 18 77 so the longest increasing sequence is 7-77 but this

Re: [algogeeks] minimum window containing charecters

2010-08-11 Thread Algoose chase
@ Anand, No , It doesnt Try with String2 = LH String1 = HELLO. I think LCS solves a different problem from the one being asked here. I think we must generate all possible combination of strings and for each combination , check if all chars from str2 is present in it. On Sun, Aug 1, 2010 at

Re: [algogeeks] minimum window containing charecters

2010-08-11 Thread srikanth sg
all the solutions mentioned above are not complete 1)need to solve this problem with sliding window concept 2)its O(n) On Wed, Aug 11, 2010 at 2:43 PM, Algoose chase harishp...@gmail.com wrote: @ Anand, No , It doesnt Try with String2 = LH String1 = HELLO. I think LCS solves a

[algogeeks] Re: Median of two arrays..

2010-08-11 Thread rahul patil
is there any time complexity? the also can be like this char *res; char *ptr1 =arr1; char *ptr2 =arr2; int count =0, n= len(arr1) ,m=len(arr2); while(1){ while(*ptr1 *ptr2){ ptr2++; count ++; if( count == (n+m)/2 ){

[algogeeks] closest pair problem

2010-08-11 Thread Raj N
Hi, Can someone give me the code for finding closest pair of points using divide and conquer strategy? Thanks !! -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to algoge...@googlegroups.com. To unsubscribe

[algogeeks] P ! = NP

2010-08-11 Thread Kishen Das
http://www.telegraph.co.uk/science/science-news/7938238/Computer-scientist-Vinay-Deolalikar-claims-to-have-solved-maths-riddle-of-P-vs-NP.html Check out this cool news. Kishen -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this

[algogeeks] Re: minimum window containing charecters

2010-08-11 Thread Minotauraus
Take two variables leftMost and rightMost, for each char in string 2 if index of char form string 2 in string 1 leftMost, leftMost - index if index of char from string 2 in string 1 rightMost, rightMost - index else continue with for loop in the end, the difference between rightMost and

Re: [algogeeks] closest pair problem

2010-08-11 Thread sharad kumar
hi, I feel we have discussed the solution to this problem using DP.ts in archives.pls check it On Wed, Aug 11, 2010 at 11:17 PM, Raj N rajn...@gmail.com wrote: Hi, Can someone give me the code for finding closest pair of points using divide and conquer strategy? Thanks !! -- You

Re: [algogeeks] minimum window containing charecters

2010-08-11 Thread sharad kumar
@all:u need to calculate the hash value of very substring(no other go since the letters are in different order we ought to do it).then apply Rain Karp algorithm. On Wed, Aug 11, 2010 at 2:43 PM, Algoose chase harishp...@gmail.com wrote: @ Anand, No , It doesnt Try with String2 = LH

Re: [algogeeks] P ! = NP

2010-08-11 Thread Varun Nagpal
Yeah,,,...lets hope the next turing goes to this Indian. Its still being verified. On Thu, Aug 12, 2010 at 12:54 AM, Kishen Das kishen@gmail.com wrote:

Re: [algogeeks] P ! = NP

2010-08-11 Thread Kishen Das
Thats the scary part. Some MIT Professor has announced additional 200 thousand dollars, if the proof is correct. He will surely get a turing, if the proof is correct. Will be second Indian after Raj Reddy to achieve this. Kishen On Wed, Aug 11, 2010 at 7:58 PM, Varun Nagpal

[algogeeks] Re: P ! = NP

2010-08-11 Thread Avik Mitra
We are proud that an Indian has attempted to solve this problem. Avik -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to algoge...@googlegroups.com. To unsubscribe from this group, send email to